summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarek Szuba <marecki@gentoo.org>2021-09-03 11:14:16 +0100
committerMarek Szuba <marecki@gentoo.org>2021-09-03 11:14:16 +0100
commita49585fb47854d8cc3a14a046f9d55196b7285e4 (patch)
tree860521bc014b27e53e1c872fcc0862f0714d9b66
parentapp-cdr/cdrtools: fix build err on ARCH=riscv (diff)
downloadgentoo-a49585fb47854d8cc3a14a046f9d55196b7285e4.tar.gz
gentoo-a49585fb47854d8cc3a14a046f9d55196b7285e4.tar.bz2
gentoo-a49585fb47854d8cc3a14a046f9d55196b7285e4.zip
app-cdr/cdrtools: keyword 3.02_alpha09-r3 for ~riscv
Signed-off-by: Marek Szuba <marecki@gentoo.org>
-rw-r--r--app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild3
-rw-r--r--profiles/arch/riscv/package.use.mask4
2 files changed, 2 insertions, 5 deletions
diff --git a/app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild b/app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild
index 817ebadea51..124eaa59a09 100644
--- a/app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild
+++ b/app-cdr/cdrtools/cdrtools-3.02_alpha09-r3.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/${PN}/$([[ -z ${PV/*_alpha*} ]] && echo 'alpha')/$
LICENSE="GPL-2 LGPL-2.1 CDDL-Schily"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ppc64 -riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
IUSE="acl caps nls unicode selinux"
BDEPEND="
@@ -89,6 +89,7 @@ src_prepare() {
local tcCC=$(tc-getCC)
local tcCXX=$(tc-getCXX)
# fix RISC-V build err, bug 811375
+ ln -s i586-linux-cc.rul riscv-linux-cc.rul || die
ln -s i586-linux-cc.rul riscv64-linux-cc.rul || die
sed -i -e "/cc-config.sh/s|\$(C_ARCH:%64=%) \$(CCOM_DEF)|${tcCC} ${tcCC}|" \
diff --git a/profiles/arch/riscv/package.use.mask b/profiles/arch/riscv/package.use.mask
index 51f7f1a861a..288d2d91afe 100644
--- a/profiles/arch/riscv/package.use.mask
+++ b/profiles/arch/riscv/package.use.mask
@@ -97,10 +97,6 @@ sci-libs/gdal mdb
# Boost.Context can be built on riscv
dev-libs/boost -context
-# Marek Szuba <marecki@gentoo.org> (2021-07-28)
-# app-cdr/cdrtools fails to compile on riscv
-dev-util/catalyst iso
-
# Marek Szuba <marecki@gentoo.org> (2021-07-27)
# dev-libs/boxfort does not support riscv yet, meaning
# dev-libs/criterion cannot be keyworded here